/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.fileresolver.impl;

import java.util.ArrayList;
import java.util.List;

import org.tinygroup.fileresolver.FileProcessor;
import org.tinygroup.fileresolver.FileResolver;
import org.tinygroup.logger.Logger;
import org.tinygroup.logger.LoggerFactory;
import org.tinygroup.vfs.FileObject;

/**
 * 文件处理器的抽象实现
 * @author renhui
 *
 */
public abstract class AbstractFileProcessor implements FileProcessor{
	
	protected List<FileObject> fileObjects=new ArrayList<FileObject>();
	
	protected static Logger logger = LoggerFactory.getLogger(AbstractFileProcessor.class);
	
	private FileResolver fileResolver;

	public void setFileResolver(FileResolver fileResolver) {
		this.fileResolver=fileResolver;
	}

	public void add(FileObject fileObject) {
		fileObjects.add(fileObject);

	}

	public void noChange(FileObject fileObject) {
		fileObjects.add(fileObject);

	}

	public void modify(FileObject fileObject) {
		fileObjects.add(fileObject);

	}

	public void delete(FileObject fileObject) {
		

	}


	public void clean() {
		fileObjects.clear();

	}

	public boolean supportRefresh() {
		return true;
	}
	
	

}
